# li'l Judd version 2

"Oh boy, here we go again" ~ me

A Discord Bot for Splatoon Teams.

## Contributors

[![Developer](https://img.shields.io/badge/moonleay-Developer-red)](https://gitlab.com/moonleay)

## Known issues

##### If you encounter any bugs, message me on Discord (@moonleay) or email me (issues@moonleay.net). You can also open a ticket [on the support server](https://discord.gg/HTZRktfH4A).

## Commands & Features

- Commands
    - version -- Show the versions of the bot and the most important dependencies
    - feature -- Manage bot features
  - match -- Create a new match
  - updateroles -- Update the roles of all users
  - sendplanner -- Send the planner message
  - rotation -- See the current rotation
- Features
    - Time Planner -- Make the bot send messages and reactions into a selected channel in order to make planning easier
    - Availability Manager -- Make the bot assign users roles every day, so it is possible to notify available people
  - Match Planner -- Make a match, for which players can sign up and the bot will assign teams and roles to them

## The todo list

##### See the [todo list](https://todo.moonleay.net/share/OmisuzgPDdsrCAXKjGrTfYzWwqNDNclOMGJWeMsi/auth?view=kanban) for more information.

## How to self-host (using the Docker container)

1. Copy the docker-compose.yml file from the repository.
2. Install docker and docker-compose.
3. Create a directory called "data" in the same directory as the docker-compose.yml file.
4. Create a directory called "config" in the same directory as the docker-compose.yml file.
5. Start the bot once.
6. After 10 seconds, stop the bot.
7. Open the config file "credentials.nils" in the config directory.
8. Put in your credentials.
    1. token: your Discord bot token
    2. dbDomain: the domain and port of your postgresql database (e.g.: "postgresql", when using the docker-compose.yml
       file)
    3. dbName: the name of the database
    4. dbUser: the username of the database
    5. dbPassword: the password to the db user
9. Start the bot again.
10. The bot should now be up and running.

## How to self-host (using the JAR)

1. Download the latest release from the Releases page.
2. Place it anywhere you want.
3. Run the following command:
   > java -jar lilJudd.jar
4. The bot should start and create a config file named "credentials.nils" in a folder called "data"
5. Open it and put in your credentials.
    1. token: your Discord bot token
    2. dbDomain: the domain and port of your postgresql database (e.g.: 192.168.178.1:5432)
   3. dbName: the name of the database
    4. dbUser: the username of the database
   5. dbPassword: the password to the db user
6. Rerun the command
   > java -jar lilJudd.jar
7. The bot should now be up and running.

## How to set up workspace

Install IntellJ and import the project from git.
Done.

## Docker commands 4 me

- docker build -t limiteddev/liljudd:x.x.x .
- docker push limiteddev/liljudd:x.x.x
