/*
 * lilJudd
 * Copyright (C) 2024 moonleay
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package net.moonleay.lilJudd.data.api.splatoon3ink

import kotlinx.serialization.json.Json
import net.moonleay.lilJudd.data.api.splatoon3ink.schedules.Schedules
import net.moonleay.lilJudd.util.NetUtil
import net.moonleay.liljudd.build.BuildConstants

object Splatoon3Api {

    var schedules: Schedules? = null

    fun updateSchedule() {
        val response = NetUtil.GETJsonData("https://splatoon3.ink/data/schedules.json", "lilJudd/${BuildConstants.version}")
        if (response.startsWith("error")){
            println("Error: $response")
            return
        }
        schedules = Json.decodeFromString(response)
    }
}
